更新后 – 错误:无法find:com.google.android.gms:play-services:5.2.8

Gradle项目同步失败。

更新android SDK后我收到此错误:

错误:无法find:com.google.android.gms:play-services:5.2.8

  • 我已经检查过更新的sdk位置是由android studio使用的
  • 我已经安装了Google Repository和Android支持存储库。
  • 我还有一个ANDROID_HOME局部variables指向实际使用的sdk

  • Android Studio 3 - 可以拍摄屏幕截图或录制屏幕吗?
  • 被告知项目没有使用gradle构建系统
  • 使用gradle(Android Studio)和本地maven repo时无法构建应用程序
  • Android-Studio:错误:无法创建Java虚拟机
  • 如何在Android Studio中配置Git可执行文件的路径?
  • Android Studio:更改targetSdkVersion的正确方法是什么?
  • AssertionFailedError:没有公共构造函数
  • 在Gradle上创建新项目时,Android Studio陷入困境:配置项目或Gradle:Resolve Dependencies':classpath:'
  • 尝试使用com.google.android.gms:play-services:5.2.08而不是5.2.8。

    您还可以在服务目录中查找正确的版本号:

    .. / android-studio / sdk / extras / google / m2repository / com / google / android / gms / play-services /

    检查你的sdk extras包,你需要安装:

    • Google Play服务
    • Google Repository

    对我来说,我没有安装第二个,然后“—:5+”工作如下所述:

    https://developers.google.com/mobile-ads-sdk/docs/admob/android/quick-start

    你现在可以使用了

    compile 'com.google.android.gms:play-services:6.1.11' 

    我用

    编译’com.google.android.gms:play-services:6.1。+’

    即使它警告它。 如果在更新后事情变得松懈,我将恢复到当前版本。

    我有同样的问题。 我解决了使用:

     compile 'com.google.android.gms:play-services:7.0.0' 

    建议使用“打开文件”>“项目结构”,单击“添加(+)”,搜索“播放服务”以选择当前可用的版本。 像这样的图像: http : //i.stack.imgur.com/9Pv7j.jpg